## minizinc 2.0.10+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # The version number.
 set (libminizinc_VERSION_MAJOR 2)
 set (libminizinc_VERSION_MINOR 0)
-set (libminizinc_VERSION_PATCH 8)
+set (libminizinc_VERSION_PATCH 10)
 
 if (ADDITIONAL_DATE_STRING)
   set (libminizinc_VERSION_PATCH "${libminizinc_VERSION_PATCH}.${ADDITIONAL_DATE_STRING}")
@@ -115,17 +115,23 @@
 
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/minizinc)
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/doc/html)
+file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/doc/pdf)
 
 # configure a header file to pass some of the CMake settings
 # to the source code
 configure_file (
-  "${PROJECT_SOURCE_DIR}/include/minizinc/config.hh.in"
-  "${PROJECT_BINARY_DIR}/minizinc/config.hh"
+  ${PROJECT_SOURCE_DIR}/include/minizinc/config.hh.in
+  ${PROJECT_BINARY_DIR}/minizinc/config.hh
   )
 
-include_directories("${PROJECT_BINARY_DIR}")
-
-include_directories("${PROJECT_SOURCE_DIR}/include")
+configure_file (
+  ${PROJECT_SOURCE_DIR}/doc/spec/version.tex.in
+  ${PROJECT_BINARY_DIR}/doc/pdf/version.tex
+  )
+
+include_directories(${PROJECT_BINARY_DIR})
+
+include_directories(${PROJECT_SOURCE_DIR}/include)
 
 add_custom_target(MZNParser echo "Creating parser")
 
@@ -141,38 +147,38 @@
 find_program(FLEX_EXEC flex)
 if(FLEX_EXEC)
   add_custom_command(
-    OUTPUT "${PROJECT_BINARY_DIR}/lexer.yy.cpp"
-    DEPENDS "${PROJECT_SOURCE_DIR}/lib/lexer.lxx"
-    COMMAND "${FLEX_EXEC}" -L -o"${PROJECT_BINARY_DIR}/lexer.yy.cpp" "${PROJECT_SOURCE_DIR}/lib/lexer.lxx"
+    OUTPUT ${PROJECT_BINARY_DIR}/lexer.yy.cpp
+    DEPENDS ${PROJECT_SOURCE_DIR}/lib/lexer.lxx
+    COMMAND ${FLEX_EXEC} -L -o${PROJECT_BINARY_DIR}/lexer.yy.cpp ${PROJECT_SOURCE_DIR}/lib/lexer.lxx
     )
-  set_source_files_properties("${PROJECT_BINARY_DIR}/lexer.yy.cpp" GENERATED)
-  set(lexer_cpp "${PROJECT_BINARY_DIR}/lexer.yy.cpp")
+  set_source_files_properties(${PROJECT_BINARY_DIR}/lexer.yy.cpp GENERATED)
+  set(lexer_cpp ${PROJECT_BINARY_DIR}/lexer.yy.cpp)
 else(FLEX_EXEC)
-  MD5("${PROJECT_SOURCE_DIR}/lib/lexer.lxx" lexer_lxx_md5)
+  MD5(${PROJECT_SOURCE_DIR}/lib/lexer.lxx lexer_lxx_md5)
   if(NOT "${lexer_lxx_md5}" STREQUAL "${lexer_lxx_md5_cached}")
     message(FATAL_ERROR "The file lexer.lxx has been modified but flex cannot be run.")
   endif()
-  set(lexer_cpp "${PROJECT_SOURCE_DIR}/lib/cached/lexer.yy.cpp")
+  set(lexer_cpp ${PROJECT_SOURCE_DIR}/lib/cached/lexer.yy.cpp)
 endif(FLEX_EXEC)
 
 find_program(BISON_EXEC bison)
 if(BISON_EXEC)
   add_custom_command(
-    OUTPUT "${PROJECT_BINARY_DIR}/parser.tab.cpp"  "${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh"
-    DEPENDS "${lexer_cpp}" "${PROJECT_SOURCE_DIR}/lib/parser.yxx"
-    COMMAND "${BISON_EXEC}" -l -o "${PROJECT_BINARY_DIR}/parser.tab.cpp" --defines="${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh" "${PROJECT_SOURCE_DIR}/lib/parser.yxx"
+    OUTPUT ${PROJECT_BINARY_DIR}/parser.tab.cpp ${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh
+    DEPENDS ${lexer_cpp} ${PROJECT_SOURCE_DIR}/lib/parser.yxx
+    COMMAND "${BISON_EXEC}" -l -o ${PROJECT_BINARY_DIR}/parser.tab.cpp --defines=${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh ${PROJECT_SOURCE_DIR}/lib/parser.yxx
     )
-  set_source_files_properties("${PROJECT_BINARY_DIR}/parser.tab.cpp" GENERATED)
-  set(parser_cpp "${PROJECT_BINARY_DIR}/parser.tab.cpp")
-  set(parser_hh "${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh")
+  set_source_files_properties(${PROJECT_BINARY_DIR}/parser.tab.cpp GENERATED)
+  set(parser_cpp ${PROJECT_BINARY_DIR}/parser.tab.cpp)
+  set(parser_hh ${PROJECT_BINARY_DIR}/minizinc/parser.tab.hh)
 else(BISON_EXEC)
-  MD5("${PROJECT_SOURCE_DIR}/lib/parser.yxx" parser_yxx_md5)
+  MD5(${PROJECT_SOURCE_DIR}/lib/parser.yxx parser_yxx_md5)
   if(NOT "${parser_yxx_md5}" STREQUAL "${parser_yxx_md5_cached}")
     message(FATAL_ERROR "The file parser.yxx has been modified but bison cannot be run.")
   endif()
   include_directories(${PROJECT_SOURCE_DIR}/lib/cached)
-  set(parser_cpp "${PROJECT_SOURCE_DIR}/lib/cached/parser.tab.cpp")
-  set(parser_hh "${PROJECT_SOURCE_DIR}/lib/cached/minizinc/parser.tab.hh")
+  set(parser_cpp ${PROJECT_SOURCE_DIR}/lib/cached/parser.tab.cpp)
+  set(parser_hh ${PROJECT_SOURCE_DIR}/lib/cached/minizinc/parser.tab.hh)
 endif(BISON_EXEC)
 
 
@@ -187,9 +193,9 @@
 lib/file_utils.cpp
 lib/gc.cpp
 lib/htmlprinter.cpp
-"${lexer_cpp}"
+${lexer_cpp}
 lib/model.cpp
-"${parser_cpp}"
+${parser_cpp}
 lib/prettyprinter.cpp
 lib/typecheck.cpp
 lib/flatten.cpp
@@ -227,7 +233,7 @@
 include/minizinc/values.hh
 include/minizinc/stl_map_set.hh
 include/minizinc/thirdparty/SafeInt3.hpp
-"${parser_hh}"
+${parser_hh}
 )
 
 # add the executable
@@ -251,7 +257,7 @@
 if (BUILD_HTML_DOCUMENTATION)
   add_custom_target(doc ALL
     DEPENDS "mzn2doc"
-    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
     COMMAND mzn2doc --toplevel-groups 2
     --include-stdlib
     --html-header ${PROJECT_SOURCE_DIR}/doc/html/header.html
@@ -267,6 +273,16 @@
   INSTALL(DIRECTORY ${PROJECT_BINARY_DIR}/doc/html DESTINATION doc)
 endif()
 
+option (BUILD_PDF_DOCUMENTATION "Build PDF documentation for the MiniZinc language" OFF)
+
+if (BUILD_PDF_DOCUMENTATION)
+  add_custom_target(doc_spec ALL
+    DEPENDS doc/spec/common-spec.tex doc/spec/minizinc-spec.tex
+    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/doc/spec
+    COMMAND latexmk -pdf -output-directory=${PROJECT_BINARY_DIR}/doc/pdf minizinc-spec
+  )
+endif()
+
 option (BUILD_STATIC_EXECUTABLE "Build statically linked executables" OFF)
 
 if (BUILD_STATIC_EXECUTABLE)
@@ -283,7 +299,7 @@
 INSTALL(DIRECTORY doc/pdf DESTINATION doc)
 INSTALL(DIRECTORY share/examples DESTINATION share)
 INSTALL(DIRECTORY lib/cached DESTINATION lib PATTERN md5_cached.cmake EXCLUDE)
-INSTALL(FILES "${parser_hh}" DESTINATION include/minizinc)
+INSTALL(FILES ${parser_hh} DESTINATION include/minizinc)
 
 SET(CPACK_PACKAGE_VERSION_MAJOR ${libminizinc_VERSION_MAJOR})
 SET(CPACK_PACKAGE_VERSION_MINOR ${libminizinc_VERSION_MINOR})
