## minizinc 2.0.11%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL := 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

MINIZINC_DOC := $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_HTML_DOCUMENTATION=ON -DBUILD_PDF_DOCUMENTATION=ON
DEB_COMPRESS_EXCLUDE := minizinc-spec.pdf

binary-post-install/minizinc::
	rm -rf $(CURDIR)/debian/minizinc/usr/lib $(CURDIR)/debian/minizinc/usr/include
	rm -f $(MINIZINC_DOC)/LICENSE.txt $(MINIZINC_DOC)/INSTALL.txt $(MINIZINC_DOC)/README.txt $(MINIZINC_DOC)/CHANGES.txt
	cp $(CURDIR)/README.txt $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/README
	cp $(CURDIR)/CHANGES.txt $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/changelog

# Add here any variable or target overrides you need.
