## minizinc 2.0.11+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # The version number.
 set (libminizinc_VERSION_MAJOR 2)
 set (libminizinc_VERSION_MINOR 0)
-set (libminizinc_VERSION_PATCH 10)
+set (libminizinc_VERSION_PATCH 11)
 
 if (ADDITIONAL_DATE_STRING)
   set (libminizinc_VERSION_PATCH "${libminizinc_VERSION_PATCH}.${ADDITIONAL_DATE_STRING}")
