=== debian/changelog ===
minizinc (2.0.11+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Jan 2016 17:54:50 +0200

minizinc (2.0.10+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build html documentation.
  * Build pdf spec documentation and add mklatex and
    texlive-latex-recommended as build deps.
  * Add minizinc.doc-base.
  * Changes to patch install-cleanups to adjust install directories.

 -- Kari Pahula <kaol@debian.org>  Sat, 02 Jan 2016 20:44:57 +0200

minizinc (2.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sun, 25 Oct 2015 11:10:18 +0200

minizinc (2.0.5+dfsg1-1) experimental; urgency=low

  * Initial release (Closes: #791608)

 -- Kari Pahula <kaol@debian.org>  Mon, 03 Aug 2015 10:08:56 +0300
