=== debian/changelog ===
minizinc (2.0.13+dfsg1-1ubuntu1) yakkety; urgency=medium

  * debian/patches/glibc-2.23: Include cmath to fix undefined floor and ceil.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 05 May 2016 22:58:16 -0400

minizinc (2.0.13+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Thu, 07 Apr 2016 21:12:57 +0300
