=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: minizinc
 Section: devel
 Priority: extra
-Maintainer: Kari Pahula <kaol@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended
 Standards-Version: 3.9.6
 Homepage: http://www.minizinc.org/
