=== debian/changelog ===
minizinc (2.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Include cmath where needed. (Closes: #830457)
  * Bump standards-version to 3.9.8 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Sun, 28 Aug 2016 18:44:29 +0300
