=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: minizinc
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
+Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.minizinc.org/
 
 Package: minizinc
