## minizinc 2.1.5+dfsg1

=== debian/changelog ===
minizinc (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Upstream provides now mzn-fzn binary which takes the role of
      minizinc binary in 1.6 release.  (Closes: #830973)
  * Standards-Version 4.0.0 (no changes necessary).
  * Add generated files lib/cached/{parser.tab.cpp,lexer.yy.cpp} to
    debian/clean.
  * Add debian/watch file. (Closes: #866212)
  * Rework the patch on CMakeLists.txt to make fewer changes to it and fix
    more errant files in debian/rules instead.
  * Stop linking /usr/share/minizinc/gecode to gecode's mznlib directory
    as the definitons there turn out to not be compatible.
  * Drop Enhances: flatzinc from minizinc.

 -- Kari Pahula <kaol@debian.org>  Tue, 18 Jul 2017 22:46:10 +0300
