=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: extra
 Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.minizinc.org/
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc
-Enhances: flatzinc
+Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 5.1.0-1)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is
  high-level enough to express most constraint problems easily, but
