=== debian/changelog ===
minizinc (2.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.1.3
    - Set Priority: optional.

 -- Kari Pahula <kaol@debian.org>  Tue, 23 Jan 2018 18:20:32 +0200
