=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: minizinc
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.minizinc.org/
 
 Package: minizinc
