=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,10 @@
 DEB_COMPRESS_EXCLUDE := minizinc-spec.pdf
 
 binary-post-install/minizinc::
+	mv $(CURDIR)/debian/minizinc/usr/doc/pdf/minizinc-spec.pdf $(MINIZINC_DOC)
+	rm -rf $(CURDIR)/debian/minizinc/usr/doc $(CURDIR)/debian/minizinc/usr/share/examples
 	rm -rf $(CURDIR)/debian/minizinc/usr/lib $(CURDIR)/debian/minizinc/usr/include
+	rm -f $(CURDIR)/debian/minizinc/usr/*.txt
 	rm -f $(MINIZINC_DOC)/LICENSE.txt $(MINIZINC_DOC)/INSTALL.txt $(MINIZINC_DOC)/README.txt $(MINIZINC_DOC)/CHANGES.txt
 	cp $(CURDIR)/README.txt $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/README
 	cp $(CURDIR)/CHANGES.txt $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/changelog
-
-# Add here any variable or target overrides you need.
