=== debian/changelog ===
minizinc (2.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:12 +0100

minizinc (2.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #923525)

 -- Kari Pahula <kaol@debian.org>  Fri, 10 Jan 2020 13:53:50 +0200

minizinc (2.4.1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version 4.4.1
    - Switch build system to dh
  * Use USE_GECODE build flag and add libgecode-dev as a build dep
  * Remove no longer used debian/patches

 -- Kari Pahula <kaol@debian.org>  Wed, 01 Jan 2020 12:43:20 +0200
