=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), dh-exec, cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended, libgecode-dev (>= 6.2.0)
+Standards-Version: 4.4.1
 Homepage: http://www.minizinc.org/
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 5.1.0-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 6.2.0-1)
+Breaks: minizinc-ide (<< 2.4.0~)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is
  high-level enough to express most constraint problems easily, but
