## minizinc 2.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.4.0)
+set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "Minimum OS X deployment version") # Must be before project()
 
 # -------------------------------------------------------------------------------------------------------------------
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.4.2
+        VERSION 2.4.3
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)
@@ -32,7 +33,6 @@
 if(NOT USE_PROPRIETARY)
   set(CPLEX_PLUGIN ON)
   set(GUROBI_PLUGIN ON)
-  set(USE_SCIP OFF)
 endif()
 
 # Export compile commands (useful when working with visual studio code)
@@ -54,7 +54,7 @@
 find_package(Gecode 6.0 COMPONENTS Driver Float Int Kernel Minimodel Search Set Support)
 find_package(Gurobi)
 find_package(OsiCBC)
-find_package(SCIP CONFIG)
+find_package(SCIP)
 find_package(Xpress)
 
 # Set build type when none is selected
