=== tests/requirements.txt ===
PyYAML==5.3
pytest==5.3.5
py==1.8.1
pytest-html==2.0.1
pytest-xdist==1.31.0
pytest-instafail==0.4.1.post0
minizinc==0.2.2
