=== debian/changelog ===
minizinc (2.4.3-3) unstable; urgency=medium

  * Symlink parser.tab.hh and regex_parser.tab.hh in build dir root to
    make Bison 3.7 generated parser.tab.cpp and regex_parser.tab.cpp
    happy.  (Closes: #966905)
  * Disambiguate file glob in debian/copyright.

 -- Kari Pahula <kaol@debian.org>  Sat, 08 Aug 2020 23:13:21 +0300

minizinc (2.4.3-2) unstable; urgency=medium

  * Protect "Current" in YYLLOC_DEFAULT macro with parentheses in
    lib/parser.y to build with new Bison (Closes: #960404)
  * Standards-Version 4.5.0 and dh compat 13 (no changes necessary)

 -- Kari Pahula <kaol@debian.org>  Wed, 13 May 2020 12:59:18 +0300

minizinc (2.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Thu, 02 Apr 2020 20:17:27 +0300
