## minizinc 2.5.1

=== debian/changelog ===
minizinc (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Bison patches.

 -- Kari Pahula <kaol@debian.org>  Thu, 22 Oct 2020 19:25:30 +0300
