=== debian/changelog ===
minizinc (2.5.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Kari Pahula <kaol@debian.org>  Wed, 09 Dec 2020 20:02:58 +0200

minizinc (2.5.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Repackaged source to remove documentation licensed under CC BY-ND.

 -- Kari Pahula <kaol@debian.org>  Sun, 15 Nov 2020 16:27:23 +0200
