=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 11), dh-exec, cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended, libgecode-dev (>= 6.2.0)
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, flatzinc, latexmk, texlive-latex-recommended, libgecode-dev (>= 6.2.0)
+Standards-Version: 4.5.0
 Homepage: http://www.minizinc.org/
 
 Package: minizinc
